Bug 244646 - [new port] databases/pgpool-II41: latest versioni of pgpool-II
Summary: [new port] databases/pgpool-II41: latest versioni of pgpool-II
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-06 19:50 UTC by Franco Ricci
Modified: 2020-03-29 22:07 UTC (History)
1 user (show)

See Also:


Attachments
pgpool-II41 port (11.00 KB, application/x-tar)
2020-03-06 19:50 UTC, Franco Ricci
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Ricci 2020-03-06 19:50:53 UTC
Created attachment 212208 [details]
pgpool-II41 port

Created new port for pgpool-II-4.1.1.
No files patches needed!
Comment 1 Torsten Zuehlsdorff freebsd_committer 2020-03-15 21:22:50 UTC
Hi France,

thank you for the new port! Just a short question: do you see any reason not to become the maintainer of the port? 

Greetings,
Torsten
Comment 2 Franco Ricci 2020-03-17 22:43:47 UTC
(In reply to Torsten Zuehlsdorff from comment #1)
Well, I'm not so expert in building ports. 
This ports is very simple and I make use of previous work. 

Another reason is about my work: I'm work in IT of University of Rome "La Sapienza" and normally me and my team are very busy so I'm afraid to not be be up to the situation.

P.S. We make extensive use of FreeBSD, ports etc. in all IT student's services.
Comment 3 commit-hook freebsd_committer 2020-03-29 21:56:38 UTC
A commit references this bug:

Author: tz
Date: Sun Mar 29 21:48:14 UTC 2020
New revision: 529842
URL: https://svnweb.freebsd.org/changeset/ports/529842

Log:
  New port: databases/pgpool-II-41

  Repocopy databases/pgpool-II-40 and modify it to introduce
  new pgpool version 4.1.x.

  Major enhancements in Pgpool-II 4.1 include:

      * Statement level load balancing.
      * Auto failback.
      * Enhance performance in number of areas.
          * Shared relation cache allows to reuse relation cache among sessions to reduce internal queries against PostgreSQL system catalogs.
          * Have separate SQL parser for DML statements to eliminate unnecessary parsing effort.
          * Load balancing control for specific queries.
      * Reduce Internal Queries against System Catalogs.
      * Import PostgreSQL 12 SQL parser.

  PR:		244646
  Submitted by:	Franko Ricci <franco.ricc@gmail.com>

Changes:
  head/databases/Makefile
  head/databases/pgpool-II-41/
  head/databases/pgpool-II-41/Makefile
  head/databases/pgpool-II-41/distinfo
  head/databases/pgpool-II-41/files/patch-src_auth_pool__hba.c
  head/databases/pgpool-II-41/pkg-plist
Comment 4 Torsten Zuehlsdorff freebsd_committer 2020-03-29 22:07:59 UTC
Committed, thank you very much! :)